import { OpenAPIV2 } from "openapi-types";
export interface IBundleApiSpecOptions {
    specFilePath: string | OpenAPIV2.Document;
    outPath: string;
    version?: string;
}
/**
 * Takes an OpenAPI spec and writes a new one with only inner references
 * @param param0
 */
export declare function bundleApiSpec({ outPath, specFilePath, version }: IBundleApiSpecOptions): Promise<void>;
