import { OpenAPI, OpenAPIV2 } from "openapi-types";
import { IGenerateApiOptions } from "./types";
/**
 * Checks if a parsed spec is in OA2 format
 * @param specs a parsed spec
 *
 * @returns true or false
 */
export declare function isOpenAPIV2(specs: OpenAPI.Document): specs is OpenAPIV2.Document;
/**
 * Module's main method. It generates files based on a given specification url
 * @param options
 *
 *
 */
export declare function generateApi(options: IGenerateApiOptions): Promise<void>;
